ReactionParser.h File Reference
`#include <string>`
`#include <iostream>`

Go to the source code of this file.

## Classes

class | RDKit::ChemicalReactionParserException
| used to indicate an error in parsing reaction data More...

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.

## Functions

ChemicalReaction * | RDKit::RxnBlockToChemicalReaction (const std::string &rxnBlock)
| Parse a text block in MDL rxn format into a ChemicalReaction. More...
ChemicalReaction * | RDKit::RxnFileToChemicalReaction (const std::string &fileName)
| Parse a file in MDL rxn format into a ChemicalReaction. More...
ChemicalReaction * | RDKit::RxnDataStreamToChemicalReaction (std::istream &rxnStream, unsigned int &line)
| Parse a text stream in MDL rxn format into a ChemicalReaction. More...
ChemicalReaction * | RDKit::RxnSmartsToChemicalReaction (const std::string &text, std::map< std::string, std::string > *replacements=0, bool useSmiles=false)
| Parse a string containing "Reaction SMARTS" into a ChemicalReaction. More...
ChemicalReaction * | RDKit::RxnMolToChemicalReaction (const ROMol &mol)
| Parse a ROMol into a ChemicalReaction, RXN role must be set before. More...
std::string | RDKit::ChemicalReactionToRxnSmarts (const ChemicalReaction &rxn)
| returns the reaction SMARTS for a reaction More...
std::string | RDKit::ChemicalReactionToRxnSmiles (const ChemicalReaction &rxn, bool canonical=true)
| returns the reaction SMILES for a reaction More...
std::string | RDKit::ChemicalReactionToRxnBlock (const ChemicalReaction &rxn, bool separateAgents=false)
| returns an RXN block for a reaction More...
ROMol * | RDKit::ChemicalReactionToRxnMol (const ChemicalReaction &rxn)
| returns a ROMol with RXN roles used to describe the reaction More...